Debian Bug report logs - #388858
please make list in description render nicely in aptitude

version graph

Package: slang2; Maintainer for slang2 is Alastair McKinstry <mckinstry@debian.org>;

Reported by: Tomas Pospisek <tpo_deb@sourcepole.ch>

Date: Sat, 23 Sep 2006 00:03:20 UTC

Severity: wishlist

Tags: patch

Fixed in version slang2/2.0.7-1

Done: Alastair McKinstry <mckinstry@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#388858; Package slang2. Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
New Bug report received and forwarded. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please make list in description render nicely in aptitude
Date: Sat, 23 Sep 2006 01:09:20 +0200
[Message part 1 (text/plain, inline)]
Package: slang2
Severity: wishlist
Tags: patch

The attached patch lets aptitude detect and render nicely the list in
the description. Please see [1] for the rationale. Patch is attached.

Thanks,
*t

[1] http://wiki.debian.org/Aptitude::Parse-Description-Bullets=true

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (50, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
[diff (text/plain, attachment)]

Reply sent to Alastair McKinstry <mckinstry@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 388858-close@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: 388858-close@bugs.debian.org
Subject: Bug#388858: fixed in slang2 2.0.7-1
Date: Tue, 01 May 2007 12:17:04 +0000
Source: slang2
Source-Version: 2.0.7-1

We believe that the bug you reported is fixed in the latest version of
slang2, which is due to be installed in the Debian FTP archive:

libslang2-dev_2.0.7-1_powerpc.deb
  to pool/main/s/slang2/libslang2-dev_2.0.7-1_powerpc.deb
libslang2-pic_2.0.7-1_powerpc.deb
  to pool/main/s/slang2/libslang2-pic_2.0.7-1_powerpc.deb
libslang2-udeb_2.0.7-1_powerpc.udeb
  to pool/main/s/slang2/libslang2-udeb_2.0.7-1_powerpc.udeb
libslang2_2.0.7-1_powerpc.deb
  to pool/main/s/slang2/libslang2_2.0.7-1_powerpc.deb
slang2_2.0.7-1.diff.gz
  to pool/main/s/slang2/slang2_2.0.7-1.diff.gz
slang2_2.0.7-1.dsc
  to pool/main/s/slang2/slang2_2.0.7-1.dsc
slang2_2.0.7.orig.tar.gz
  to pool/main/s/slang2/slang2_2.0.7.orig.tar.gz
slsh_2.0.7-1_powerpc.deb
  to pool/main/s/slang2/slsh_2.0.7-1_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388858@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alastair McKinstry <mckinstry@debian.org> (supplier of updated slang2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  1 May 2007 09:43:45 +0100
Source: slang2
Binary: libslang2-dev libslang2 libslang2-udeb libslang2-pic slsh
Architecture: source powerpc
Version: 2.0.7-1
Distribution: unstable
Urgency: low
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Changed-By: Alastair McKinstry <mckinstry@debian.org>
Description: 
 libslang2  - The S-Lang programming library - runtime version
 libslang2-dev - The S-Lang programming library, development version
 libslang2-pic - The S-Lang programming library, shared library subset kit
 libslang2-udeb - S-Lang library for Debian Installer (udeb)
 slsh       - S-Lang shell
Closes: 388858 399355 421587 421661
Changes: 
 slang2 (2.0.7-1) unstable; urgency=low
 .
   * New upstream release. Closes: #421587.
   * Make list in description render nicely in aptitude.  Closes: #388858.
   * Backout 080_wide_chars.patch ; improved fix in 2.0.7. Closes: #399355.
   * Typo prevented slsh cmaps files from being installed. Closes: #421661.
Files: 
 73d32e6c0bc8b51fe7461a8c469321e0 702 devel optional slang2_2.0.7-1.dsc
 9f0971c66163c0b0a3e87499d247781f 1347530 devel optional slang2_2.0.7.orig.tar.gz
 97cd903c70a12560ddd4a78e34dd04ca 142810 devel optional slang2_2.0.7-1.diff.gz
 bbd08285c2d82b02fc615d4903ebb9cb 538850 devel optional libslang2-dev_2.0.7-1_powerpc.deb
 c0a00f783dc78fa6bbc32ad396e2cc3a 449466 libs required libslang2_2.0.7-1_powerpc.deb
 6f2e90cfb1005077357944ca58246f68 419658 libdevel optional libslang2-pic_2.0.7-1_powerpc.deb
 38108665a0fd465615cc2687f0331aae 279182 debian-installer extra libslang2-udeb_2.0.7-1_powerpc.udeb
 f7a15ffc7af907803206ed4abfc12ad4 137272 interpreters optional slsh_2.0.7-1_powerpc.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGNy5cQTK/kCo4XFcRAklgAJ9/mq8CgOjp4Kp3OPBbD06icb+vWACgimr+
EtQOLrliGNCgQrkbOtpFduk=
=4udr
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Jul 2007 07:41:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:34:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.